### YamlMime:ManagedReference
items:
- uid: Voile.SceneGraph.SerializedSceneSaver
  commentId: T:Voile.SceneGraph.SerializedSceneSaver
  id: SerializedSceneSaver
  parent: Voile.SceneGraph
  children:
  - Voile.SceneGraph.SerializedSceneSaver.TrySave(System.String,Voile.SceneGraph.SerializedScene@)
  langs:
  - csharp
  - vb
  name: SerializedSceneSaver
  nameWithType: SerializedSceneSaver
  fullName: Voile.SceneGraph.SerializedSceneSaver
  type: Class
  source:
    remote:
      path: Voile/Source/SceneGraph/Resources/SerializedSceneSaver.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: SerializedSceneSaver
    path: Source/SceneGraph/Resources/SerializedSceneSaver.cs
    startLine: 5
  assemblies:
  - Voile
  namespace: Voile.SceneGraph
  syntax:
    content: 'public class SerializedSceneSaver : IResourceSaver<SerializedScene>'
    content.vb: Public Class SerializedSceneSaver Implements IResourceSaver(Of SerializedScene)
  inheritance:
  - System.Object
  implements:
  - Voile.Resources.IResourceSaver{Voile.SceneGraph.SerializedScene}
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
- uid: Voile.SceneGraph.SerializedSceneSaver.TrySave(System.String,Voile.SceneGraph.SerializedScene@)
  commentId: M:Voile.SceneGraph.SerializedSceneSaver.TrySave(System.String,Voile.SceneGraph.SerializedScene@)
  id: TrySave(System.String,Voile.SceneGraph.SerializedScene@)
  parent: Voile.SceneGraph.SerializedSceneSaver
  langs:
  - csharp
  - vb
  name: TrySave(string, in SerializedScene)
  nameWithType: SerializedSceneSaver.TrySave(string, in SerializedScene)
  fullName: Voile.SceneGraph.SerializedSceneSaver.TrySave(string, in Voile.SceneGraph.SerializedScene)
  type: Method
  source:
    remote:
      path: Voile/Source/SceneGraph/Resources/SerializedSceneSaver.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: TrySave
    path: Source/SceneGraph/Resources/SerializedSceneSaver.cs
    startLine: 7
  assemblies:
  - Voile
  namespace: Voile.SceneGraph
  example: []
  syntax:
    content: public bool TrySave(string path, in SerializedScene resource)
    parameters:
    - id: path
      type: System.String
    - id: resource
      type: Voile.SceneGraph.SerializedScene
    return:
      type: System.Boolean
    content.vb: Public Function TrySave(path As String, resource As SerializedScene) As Boolean
  overload: Voile.SceneGraph.SerializedSceneSaver.TrySave*
  implements:
  - Voile.Resources.IResourceSaver{Voile.SceneGraph.SerializedScene}.TrySave(System.String,Voile.SceneGraph.SerializedScene@)
  nameWithType.vb: SerializedSceneSaver.TrySave(String, SerializedScene)
  fullName.vb: Voile.SceneGraph.SerializedSceneSaver.TrySave(String, Voile.SceneGraph.SerializedScene)
  name.vb: TrySave(String, SerializedScene)
references:
- uid: Voile.SceneGraph
  commentId: N:Voile.SceneGraph
  href: Voile.html
  name: Voile.SceneGraph
  nameWithType: Voile.SceneGraph
  fullName: Voile.SceneGraph
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.SceneGraph
    name: SceneGraph
    href: Voile.SceneGraph.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.SceneGraph
    name: SceneGraph
    href: Voile.SceneGraph.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: Voile.Resources.IResourceSaver{Voile.SceneGraph.SerializedScene}
  commentId: T:Voile.Resources.IResourceSaver{Voile.SceneGraph.SerializedScene}
  parent: Voile.Resources
  definition: Voile.Resources.IResourceSaver`1
  href: Voile.Resources.IResourceSaver-1.html
  name: IResourceSaver<SerializedScene>
  nameWithType: IResourceSaver<SerializedScene>
  fullName: Voile.Resources.IResourceSaver<Voile.SceneGraph.SerializedScene>
  nameWithType.vb: IResourceSaver(Of SerializedScene)
  fullName.vb: Voile.Resources.IResourceSaver(Of Voile.SceneGraph.SerializedScene)
  name.vb: IResourceSaver(Of SerializedScene)
  spec.csharp:
  - uid: Voile.Resources.IResourceSaver`1
    name: IResourceSaver
    href: Voile.Resources.IResourceSaver-1.html
  - name: <
  - uid: Voile.SceneGraph.SerializedScene
    name: SerializedScene
    href: Voile.SceneGraph.SerializedScene.html
  - name: '>'
  spec.vb:
  - uid: Voile.Resources.IResourceSaver`1
    name: IResourceSaver
    href: Voile.Resources.IResourceSaver-1.html
  - name: (
  - name: Of
  - name: " "
  - uid: Voile.SceneGraph.SerializedScene
    name: SerializedScene
    href: Voile.SceneGraph.SerializedScene.html
  - name: )
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: Voile.Resources.IResourceSaver`1
  commentId: T:Voile.Resources.IResourceSaver`1
  href: Voile.Resources.IResourceSaver-1.html
  name: IResourceSaver<T>
  nameWithType: IResourceSaver<T>
  fullName: Voile.Resources.IResourceSaver<T>
  nameWithType.vb: IResourceSaver(Of T)
  fullName.vb: Voile.Resources.IResourceSaver(Of T)
  name.vb: IResourceSaver(Of T)
  spec.csharp:
  - uid: Voile.Resources.IResourceSaver`1
    name: IResourceSaver
    href: Voile.Resources.IResourceSaver-1.html
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: Voile.Resources.IResourceSaver`1
    name: IResourceSaver
    href: Voile.Resources.IResourceSaver-1.html
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: Voile.Resources
  commentId: N:Voile.Resources
  href: Voile.html
  name: Voile.Resources
  nameWithType: Voile.Resources
  fullName: Voile.Resources
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Resources
    name: Resources
    href: Voile.Resources.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Resources
    name: Resources
    href: Voile.Resources.html
- uid: Voile.SceneGraph.SerializedSceneSaver.TrySave*
  commentId: Overload:Voile.SceneGraph.SerializedSceneSaver.TrySave
  href: Voile.SceneGraph.SerializedSceneSaver.html#Voile_SceneGraph_SerializedSceneSaver_TrySave_System_String_Voile_SceneGraph_SerializedScene__
  name: TrySave
  nameWithType: SerializedSceneSaver.TrySave
  fullName: Voile.SceneGraph.SerializedSceneSaver.TrySave
- uid: Voile.Resources.IResourceSaver{Voile.SceneGraph.SerializedScene}.TrySave(System.String,Voile.SceneGraph.SerializedScene@)
  commentId: M:Voile.Resources.IResourceSaver{Voile.SceneGraph.SerializedScene}.TrySave(System.String,Voile.SceneGraph.SerializedScene@)
  parent: Voile.Resources.IResourceSaver{Voile.SceneGraph.SerializedScene}
  definition: Voile.Resources.IResourceSaver`1.TrySave(System.String,`0@)
  href: Voile.Resources.IResourceSaver-1.html#Voile_Resources_IResourceSaver_1_TrySave_System_String__0__
  name: TrySave(string, in SerializedScene)
  nameWithType: IResourceSaver<SerializedScene>.TrySave(string, in SerializedScene)
  fullName: Voile.Resources.IResourceSaver<Voile.SceneGraph.SerializedScene>.TrySave(string, in Voile.SceneGraph.SerializedScene)
  nameWithType.vb: IResourceSaver(Of SerializedScene).TrySave(String, SerializedScene)
  fullName.vb: Voile.Resources.IResourceSaver(Of Voile.SceneGraph.SerializedScene).TrySave(String, Voile.SceneGraph.SerializedScene)
  name.vb: TrySave(String, SerializedScene)
  spec.csharp:
  - uid: Voile.Resources.IResourceSaver{Voile.SceneGraph.SerializedScene}.TrySave(System.String,Voile.SceneGraph.SerializedScene@)
    name: TrySave
    href: Voile.Resources.IResourceSaver-1.html#Voile_Resources_IResourceSaver_1_TrySave_System_String__0__
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - name: in
  - name: " "
  - uid: Voile.SceneGraph.SerializedScene
    name: SerializedScene
    href: Voile.SceneGraph.SerializedScene.html
  - name: )
  spec.vb:
  - uid: Voile.Resources.IResourceSaver{Voile.SceneGraph.SerializedScene}.TrySave(System.String,Voile.SceneGraph.SerializedScene@)
    name: TrySave
    href: Voile.Resources.IResourceSaver-1.html#Voile_Resources_IResourceSaver_1_TrySave_System_String__0__
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: Voile.SceneGraph.SerializedScene
    name: SerializedScene
    href: Voile.SceneGraph.SerializedScene.html
  - name: )
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: Voile.SceneGraph.SerializedScene
  commentId: T:Voile.SceneGraph.SerializedScene
  parent: Voile.SceneGraph
  href: Voile.SceneGraph.SerializedScene.html
  name: SerializedScene
  nameWithType: SerializedScene
  fullName: Voile.SceneGraph.SerializedScene
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
- uid: Voile.Resources.IResourceSaver`1.TrySave(System.String,`0@)
  commentId: M:Voile.Resources.IResourceSaver`1.TrySave(System.String,`0@)
  isExternal: true
  href: Voile.Resources.IResourceSaver-1.html#Voile_Resources_IResourceSaver_1_TrySave_System_String__0__
  name: TrySave(string, in T)
  nameWithType: IResourceSaver<T>.TrySave(string, in T)
  fullName: Voile.Resources.IResourceSaver<T>.TrySave(string, in T)
  nameWithType.vb: IResourceSaver(Of T).TrySave(String, T)
  fullName.vb: Voile.Resources.IResourceSaver(Of T).TrySave(String, T)
  name.vb: TrySave(String, T)
  spec.csharp:
  - uid: Voile.Resources.IResourceSaver`1.TrySave(System.String,`0@)
    name: TrySave
    href: Voile.Resources.IResourceSaver-1.html#Voile_Resources_IResourceSaver_1_TrySave_System_String__0__
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - name: in
  - name: " "
  - name: T
  - name: )
  spec.vb:
  - uid: Voile.Resources.IResourceSaver`1.TrySave(System.String,`0@)
    name: TrySave
    href: Voile.Resources.IResourceSaver-1.html#Voile_Resources_IResourceSaver_1_TrySave_System_String__0__
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - name: T
  - name: )
